## php.java.bridge
Class Util.Logger

    java.lang.Object
      php.java.bridge.Util.Logger

All Implemented Interfaces:
  ILogger

Enclosing class:
  Util

    public static class Util.Logger

extends java.lang.Object
implements ILogger

A bridge which uses log4j or the default logger.

Constructor Summary
`Util.Logger()` Use chainsaw, if available or a default logger.
`Util.Logger(ILogger logger)` Use chainsaw, if available of the specified logger.

Method Summary
`void` `log(int level, java.lang.String msg)` Log a message.
`void` `printStackTrace(java.lang.Throwable t)` Log a stack trace
`void` `warn(java.lang.String msg)` Display a warning if logLevel >= 1

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Util.Logger

    public Util.Logger()

  Use chainsaw, if available or a default logger.

### Util.Logger

    public Util.Logger(ILogger logger)

  Use chainsaw, if available of the specified logger.

  Parameters:
    `logger` - The specified logger.

Method Detail

### printStackTrace

    public void printStackTrace(java.lang.Throwable t)

  Description copied from interface: `ILogger`
  Log a stack trace

  Specified by:
    `printStackTrace` in interface `ILogger`
  Parameters:
    `t` - The Throwable

### log

    public void log(int level,
                    java.lang.String msg)

  Description copied from interface: `ILogger`
  Log a message.

  Specified by:
    `log` in interface `ILogger`
  Parameters:
    `level` - The log level 0: FATAL, 1:ERROR, 2: INFO, 3: DEBUG
    `msg` - The message

### warn

    public void warn(java.lang.String msg)

  Description copied from interface: `ILogger`
  Display a warning if logLevel >= 1

  Specified by:
    `warn` in interface `ILogger`
  Parameters:
    `msg` - The warn message